org.richfaces.renderkit

## Class EditorRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.InputRendererBase
      - - org.richfaces.renderkit.EditorRendererBase

- Direct Known Subclasses:
    EditorRenderer

      public class EditorRendererBase
      extends InputRendererBase

  Author:
    Lukas Fryc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_HEIGHT`
    `static String` | `DEFAULT_WIDTH`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCKEditorRequestPath(javax.faces.context.FacesContext facesContext)`
    `String` | `getECSSQueryString(javax.faces.context.FacesContext facesContext, String resourceName)`
    `String` | `resolveUnits(Object dimension)`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `doDecode, getConvertedValue, getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_WIDTH

          public static final String DEFAULT_WIDTH

      See Also:
        Constant Field Values

    - #### DEFAULT_HEIGHT

          public static final String DEFAULT_HEIGHT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EditorRendererBase

          public EditorRendererBase()

  - ### Method Detail

    - #### resolveUnits

          public String resolveUnits(Object dimension)

    - #### getCKEditorRequestPath

          public String getCKEditorRequestPath(javax.faces.context.FacesContext facesContext)

    - #### getECSSQueryString

          public String getECSSQueryString(javax.faces.context.FacesContext facesContext,
                                  String resourceName)

Copyright © 2014 JBoss by Red Hat. All rights reserved.